/**
 * app.js
 */

var assert = require('assert'),
    castaneum = require('castaneum');

assert.ok(!!castaneum, "castaneum module.");

var response = {
  headers : {"x-content-source" : "manual"},
  body : "<html><head></head><body><div class='testing alsotesting' id='greeting'>o hai!<div></body></html>"
};

castaneum.createDocument(response, function(document, sizzle) {
  console.log('o hai');
  console.log(document.nodeName);
  console.log(sizzle(".testing")[0].textContent);
  console.log(sizzle(".alsotesting")[0].textContent);
  console.log(sizzle("#greeting")[0].textContent);
  var newdiv = document.createElement("div");
});
