var sys = require('sys');
var castaneum = require('castaneum');

var region = 'stcatharines',
    keyword = 'lego',
    uri = 'http://' + region + '.kijiji.ca/f-' + keyword + '-Classifieds-W0QQKeywordZ' + keyword + 'QQisSearchFormZtrue';

castaneum.get(uri, function(error, response, body) {
  castaneum.createDocument(response, function(document, sizzle) {
    sys.puts(document.title);
    var nextPageLink = sizzle("a.prevNextLink:last")[0];
    if (nextPageLink && /^Next/.test(nextPageLink.textContent)) {
      sys.puts(nextPageLink.getAttribute('href'));
    }
    sizzle(".rrow").forEach(function(rowElem) {
      var postHeader = {
        title: sizzle(".adLinkSB:first", rowElem)[0].textContent.trim(),
        price: sizzle("td > strong:first", rowElem)[0].textContent.trim(),
        postUrl: sizzle(".adLinkSB:first", rowElem)[0].getAttribute('href'),
        datePosted: sizzle("td:last", rowElem)[0].textContent.trim()
      }
      if (sizzle(".thumbnail", rowElem).length > 0) {
        postHeader.thumbUrl = sizzle(".thumbnail", rowElem)[0].getAttribute('src');
      } else {
        postHeader.thumbUrl = "http://pic.classistatic.com/image/pics/classifieds/en-CA/imageplaceholder10-gs.gif";
      }
      sys.puts(JSON.stringify(postHeader));
    });
  });
});
